﻿using System.Collections.ObjectModel;
using System.Windows;
using System.Windows.Controls;

namespace TabItemUnloadTest
{
    public partial class DataUserControl : UserControl
    {
        public static DependencyProperty ObjectsProperty = DependencyProperty.Register("Objects", typeof (ObservableCollection<DataObject>), typeof (DataUserControl));

        public ObservableCollection<DataObject> Objects
        {
            get { return (ObservableCollection<DataObject>) GetValue(ObjectsProperty); }
            set { SetValue(ObjectsProperty, value); }
        }

        public DataUserControl()
        {
            InitializeComponent();
            this.DataContext = this;
        }
    }
}