﻿using System.Collections.ObjectModel;
using System.Windows;

namespace TabItemUnloadTest
{
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();

            _userControl.Objects = new ObservableCollection<DataObject>();
            _userControl.Objects.Add(new DataObject {Text = "Obj1", ColorName = new ColorName {InternalName = "Red"}});
            _userControl.Objects.Add(new DataObject {Text = "Obj2", ColorName = new ColorName {InternalName = "Green"}});
            _userControl.Objects.Add(new DataObject {Text = "Obj3", ColorName = new ColorName {InternalName = "Blue"}});

            DataContext = this;
        }
    }
}